Subject: bug#26459: 26.0.50; loaddefs.el is regenerated after each "git pull"

From: Glenn Morris <[email-masked]>
Date: Thu, 13 Apr 2017 21:08:17 -0400

Paul Eggert wrote:

> international/uni-bidi.el:0:0: error: file-missing: (Opening input
> file No such file or directory
> /home/eggert/src/gnu/emacs/static-checking/lisp/international/uni-bidi.el)
> make[2]: *** [Makefile:198: loaddefs.el] Error 255

At first glance, I don't see how this could be related to recent changes.

By a coincidence, after you posted the above I committed ad128fe,
which I've had sitting around for a while, and which might be related.

IIUC, making lisp's gen-lisp also generate the unidata files (as well as
leim and semantic) ought to fix your issue? In fact, I'm not sure why I
didn't do that - maybe it turns out not to be so straightforward.